petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoGetTolerances

gets the current values of tolerances

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetTolerances(Tao tao, PetscReal *gatol, PetscReal *grtol, PetscReal *gttol)

Not Collective Many br

### Input Parameters

tao -the Tao context Many br

### Output Parameters

| gatol | - stop if norm of gradient is less than this Many br
| grtol | - stop if relative norm of gradient is less than this Many br
| gttol | - stop if norm of gradient is reduced by a this factor Many br

Note: NULL can be used as an argument if not all tolerances values are needed Many br

### See Also

TaoSetTolerances()

Many br

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages